%define upstream_name    Plack-Test-AnyEvent
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Run Plack::Test on AnyEvent-based PSGI applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Plack)
BuildRequires: perl(Test::Class)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(autodie)
BuildRequires: perl(parent)
BuildArch:  noarch
# Private requires:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Plack::Test::AnyEvent::Response\\)

%description
This L<Plack::Test> implementation allows you to easily test your
L<AnyEvent>-based PSGI applications. Normally, L<Plack::Test::MockHTTP> or
L<Plack::Test::Server> work fine for this, but this implementation comes in
handy when you'd like to test your streaming results as they come in, or if
your application uses long-polling. For non-streaming requests, you can use
this module exactly like Plack::Test::MockHTTP; otherwise, you can set up a
content handler and call C<$res-E<gt>recv>. The event loop will then run
until the PSGI application closes its writer handle or until your test
client calls C<send> on the response.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build


%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.60.0-5pclos2017
- rebuild against updates

